Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731168 - net-irc/sic fails to link with LLD because of /usr/lib in the link command line
Summary: net-irc/sic fails to link with LLD because of /usr/lib in the link command line
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 06:22 UTC by Agostino Sarubbo
Modified: 2020-08-30 00:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,8.88 KB, text/plain)
2020-07-07 06:22 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 06:22:09 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-irc/sic fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 06:22:14 UTC
Created attachment 648106 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-30 00:10:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7802529ba5f3ea879e99fd96c00d7a3d07fd7e6f

commit 7802529ba5f3ea879e99fd96c00d7a3d07fd7e6f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-08-30 00:07:57 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-30 00:10:08 +0000

    net-irc/sic: fix musl, clang builds
    
    Closes: https://bugs.gentoo.org/712732
    Closes: https://bugs.gentoo.org/731168
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-irc/sic/files/sic-1.2-include-path.patch      | 13 +++++++++
 net-irc/sic/files/sic-1.2-musl-time-include.patch | 32 +++++++++++++++++++++++
 net-irc/sic/sic-1.2-r1.ebuild                     | 14 +++++++---
 3 files changed, 55 insertions(+), 4 deletions(-)